//-------------------------------------------------------------------------*
//工 程 名: AD                                                             *
//硬件连接: (1)PTF.0接指示灯                                               *
//          (2)JM60目标板上的串口1接PC机串口,PTB0引脚接电位器              *
//程序描述: 通过调节电位器的阻值改变PTB0的电压，得到不同的AD转换结果       *
//说    明: 串口波特率为9600,使用SCI1                                      *
//---------------苏州大学飞思卡尔嵌入式系统实验室2010年--------------------*

#include "Includes.h"

                                   
//主函数
void main(void) 
{

    //1. 变量定义
    uint16 Res;
    uint16 RunCount=0;
        
    //2. 关总中断
    DisableMCUint();     //禁止总中断
    
    //3. 芯片初始化
    MCUInit();
    //4. 模块初始化
    Light_Init(Light_Run_PORT,Light_Run,Light_OFF); //指示灯初始化
    SCIInit(1,BUS_FREQUENCY,SCI_FREQUENCY); //初始化串口    
    ADCInit();         //AD初始化,通道号从1记                                        
    //总循环
    while (1)
    {  
        RunCount++;
        if (RunCount>=50000) 
        {    
          //1 程序指示灯亮暗状态切换
          Light_Change(Light_Run_PORT,Light_Run);   
          //2 通道0做AD转换,200次均值滤波,串口发送均值滤波结果
          Res=ADCAve(AD_CH_0, 200);
          SCISend1(SCI_NUM_1,(uint8)Res);
          
          RunCount=0;  //循环变量清0
        }
    } //end of while(1)
} //end of main()


